Piloterr

SeLoger Agency Rent

GET
/v2/seloger/agency/rent

Retrieve paginated rental property listings published by a specific SeLoger agency using its numeric agency ID.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

A valid SeLoger agency ID.

Example:

18317

Note: The agency ID is the numeric identifier found at the end of SeLoger agency profile URLs (e.g. https://www.seloger.com/.../agence-18317/). You can find it on any agency page.

page?number

Page number for paginating through the agency's rental listings.

Use this parameter to iterate through multiple pages of results when the agency has more listings than returned in a single call.

Example:

2
Default"1"

Response Body

Successful response

application/json
  1. response
count?integer
result?array<>
Example Request
curl -X GET 'https://api.piloterr.com/v2/seloger/agency/rent?query=string'
Example Response
{  "count": 1,  "result": [    {      "id": "263165015",      "url": "https://www.seloger-bureaux-commerces.com/annonces/location/local-commercial/paris-11eme/263165015",      "type": 7,      "image": {        "alt": null,        "src": "https://v.seloger.com/s/width/400/visuels/0/2/c/y/02cyrydlv40zdojea0frfgvs3g39ali32o6m6jc45.jpg"      },      "price": 908,      "surface": 66,      "rooms_count": 0,      "bedrooms_count": 0,      "locality_label": "Paris 11ème"    }  ]}